4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.RdfDocumentClient

Classes: RdfDocumentClient

## Classes

class RdfDocumentClient(Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient)
An RDF Document is a document that represents a set of RDF triples. Nothing is actually stored in the Repo as far as an XML file goes.

### Methods

complete(self, subject=None, predicate=None, object=None)
Perform a complete within this scope
deserializeAndAdd(self, src)
Deserialize a source document and add the resulting statements to a scope
deserializeAndRemove(self, src)
Deserialize a source document and remove the resulting statements from the scope

### Methods inherited from class Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient

expandXLink, getDocumentDefinition, setDocumentDefinition

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate